
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    font-family: 'Roboto', Arial, sans-serif;
    background: #f4f5f7;
    color: #333;
    line-height: 1.6;
    text-align: center;
}


header {
    background: #8594a4;
    color: #fff;
    padding: 20px;
}

nav {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

nav a {
    padding: 8px 16px;
    background: #8594a4;
    color: #fff;
    border-radius: 6px;
    text-decoration: none;
    transition: 0.3s;
}

nav a:hover {
    background: #006ce2;
}


.hero {
    background: #8594a4;
    padding: 40px 20px;
    border-radius: 10px;
    margin-bottom: 30px;
}

.hero h2 { color: #8594a4; }

.hero p {
    max-width: 700px;
    margin: 0 auto;
    color: #555;
}

.hero img {
    max-width: 300px;
    margin-top: 15px;
    border-radius: 10px;
}

/*kartice*/
.cards {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-bottom: 50px;
}

.card {
    width: 260px;
    padding: 20px;
    background: #8594a4;
    border-radius: 12px;
    box-shadow: 0 6px 20px rgba(0,0,0,0.1);
    transition: 0.3s;
}

.card:hover {
    box-shadow: 0 10px 30px rgba(0,0,0,0.15);
}

.card img {
    width: 100%;
    border-radius: 8px;
    margin-bottom: 10px;
}

.card h3 { color: #8594a4; }

.card p { color:#8594a4; }

.card a {
    display: inline-block;
    margin-top: 10px;
    padding: 8px 12px;
    background:#8594a4;
    color: #fff;
    border-radius: 6px;
    text-decoration: none;
}


form {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.05);
    display: inline-block;
    text-align: left;
}

form input,
form select,
form button {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 6px;
}

form input,
form select {
    border: 1px solid #ccc;
}

form button {
    background: #007bff;
    color: #fff;
    border: none;
    cursor: pointer;
}

/*rezultat*/
.result-box {
    margin-top: 15px;
    padding: 15px;
    background: #f0f4f8;
    border-left: 5px solid #007bff;
    border-radius: 8px;
    text-align: left;
}

.bmi-bar {
    height: 20px;
    background: #dee2e6;
    border-radius: 10px;
    overflow: hidden;
}

.bmi-fill {
    height: 100%;
    background: #416995;
}

/* ===== STATUS ===== */
.good { color: green; font-weight: bold; }
.warning { color: orange; font-weight: bold; }
.bad { color: red; font-weight: bold; }


footer {
    margin-top: 40px;
    padding: 20px;
    background: #f1f3f5;
    color: #555;
}


@media (max-width: 768px) {
    .cards { flex-direction: column; }
    .hero img { max-width: 80%; }
    form { width: 90%; }
}
